## kali 3.1+dfsg

=== Makefile ===
# makefile for kali by Ed H. Chi (chi@geom.umn.edu) summer 1994
# $Id: Makefile,v 1.7 1996/10/07 17:04:37 slevy Exp $
#
SHELL = /bin/sh

KALIPKG = kali-3.1

KALI = kali
KALIPRINT = kaliprint
ALL = ${KALI} ${KALIPRINT}

BINDIR = /usr/local/bin

CC = cc

FORMSINCL = -I/u/share/include/XForms
FORMSLIB  = -L/usr/local/lib -lforms

# on Linux:
LIBDIRS = -L/usr/X11/lib
SYSLIBS = -lX11
SYSINCL =

# on Solaris:
#LIBDIRS = 
#SYSLIBS = -L/usr/openwin/lib -lX11 -lsocket -lnsl
#SYSINCL = -I/usr/openwin/include

# on SGI, Irix 5 or later:
#LIBDIRS =
#SYSLIBS = -lX11
#SYSINCL =

# on SGI, Irix 4:
#LIBDIRS =
#SYSLIBS = -lX11_s -lc_s
#SYSINCL =

INCLUDES = ${FORMSINCL} ${SYSINCL}
COPTS = -g
CFLAGS = -DXFORM ${COPTS} ${INCLUDES}
LIBS = ${LIBDIRS} ${FORMSLIB} ${SYSLIBS} -lm

#------------------------------------------------    sources
HDRS = help.h icons.h io.h kali.h main.h panel.h symmetry.h
SRCS = callbacks.c psio.c xio.c kali.c printmain.c panel.c symmetry.c panel.fd
COMMONOBJS = psio.o symmetry.o
KALIOBJS = kali.o callbacks.o xio.o ${COMMONOBJS}
PRINTOBJS = printmain.o ${COMMONOBJS}

BINS = sgi irix4 solaris linux

FILES = INSTALLATION README HELP ${SRCS} ${HDRS} Makefile data  ${BINS}

#------------------------------------------------    dependences

all: ${ALL}

kali.o : symmetry.h kali.h kali.c main.h io.h
symmetry.o : symmetry.h symmetry.c main.h
callbacks.o: panel.c panel.h icons.h help.h main.h
psio.o xio.o: symmetry.h io.h main.h kali.h
printmain.o : symmetry.h

help.h:	HELP
	(echo 'char *help[] = {'; \
	 sed  -e 's/"/\\"/g' -e 's/^$$/ /' -e 's/.*/"&",/' HELP; \
	 echo '"."};') > $@

#-----------------------------------------------    programs itself

${KALI}: ${KALIOBJS}
	${CC} -o $@ ${CFLAGS} ${KALIOBJS} ${LIBS}

${KALIPRINT}:  ${PRINTOBJS}
	${CC} -o $@ ${CFLAGS} ${PRINTOBJS} -lm

#----------------------------------------------     misc tasks
clean:
	rm -f *.BAK *.CKP a.out *.o || :

mrproper: clean
	rm -f ${ALL}

install: ${ALL}
	rm -f ${BINDIR}/${KALI} ${BINDIR}/${KALIPRINT}
	cp ${ALL}  ${BINDIR}

tar: _always
	rm -f ${KALIPKG}
	ln -s . ${KALIPKG}
	echo ${FILES} | tr " " "\12" | sed -e 's:^:${KALIPKG}/:' | gnutar -c -v -T - -f - | gzip -9 > ${KALIPKG}.tar.gz
	rm -f ${KALIPKG}

_always:

## kali 3.1

=== debian/changelog ===
kali (3.1-17) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 12:20:19 +0000

kali (3.1-16) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Policy version 3.9.6: no changes required.
  * Build-depend on a new enough dpkg-dev for dpkg-buildflags, rather than
    simply a new enough dpkg.
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Jan 2016 13:14:47 +0000

kali (3.1-15) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Drop unnecessary -I/usr/include/X11 compiler flag.
  * Stop linking with -L/usr/X11R6/lib, which has been obsolete for years.
  * Policy version 3.9.5: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 08:02:31 +0000

kali (3.1-14) unstable; urgency=low

  * Check that symmetry group passed to kaliprint is in range (thanks,
    Mayhem team at CMU).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Jul 2013 09:54:33 +0100

kali (3.1-13) unstable; urgency=low

  * Use dpkg-buildflags.
  * Fix crash if -g, -k, or -p is the last command-line argument (thanks,
    Mayhem team at CMU).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jun 2013 22:16:46 +0100

kali (3.1-12) unstable; urgency=low

  * Tidy up prototypes to fix build with clang.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Feb 2013 15:59:34 +0000

kali (3.1-11) unstable; urgency=low

  * Build against libforms2 (closes: #558025).
  * Convert to source format 3.0 (quilt).  All patches are now maintained
    separately and tagged according to DEP-3.
  * Policy version 3.8.4: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 May 2010 15:01:09 +0100

kali (3.1-10) unstable; urgency=low

  * Return 0 from main() functions rather than just dropping off the end
    (closes: #544655).
  * Fix return from main() with no value in an error case in kaliprint.
  * Policy version 3.8.3: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Sep 2009 09:43:17 +0100

kali (3.1-9) unstable; urgency=low

  * Upgrade to debhelper 7. Uses override targets, so requires 7.0.50.
  * Policy version 3.8.2: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Aug 2009 22:37:30 +0100

kali (3.1-8) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Build-depend on x11proto-core-dev rather than x-dev (thanks, Lintian;
    closes: #515477).
  * Add a Homepage field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 21:50:03 +0000

kali (3.1-7) unstable; urgency=low

  * Fix segfault on left mouse click when Lines is NULL, such as when trying
    to move with no drawn lines (thanks, Steve Langasek; closes: #283629).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Dec 2004 14:24:31 +0100

kali (3.1-6) unstable; urgency=low

  * Build-depend on x-dev and libx11-dev rather than the transitional
    xlibs-dev package.
  * Policy version 3.6.1: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Nov 2004 14:27:59 +0000

kali (3.1-5) unstable; urgency=low

  * Rename SX and SY to KALISX and KALISY, since Xosdefs.h has evil
    namespace pollution and thinks SX indicates some strange Unix from the
    dawn of time (closes: #238629).

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Mar 2004 20:16:03 +0000

kali (3.1-4) unstable; urgency=low

  * Build against libforms1 and move to main.
  * Policy version 3.5.8: drop DEB_BUILD_OPTIONS=debug and support noopt.
  * Improve description, partly to work around bogosity in lintian and
    partly for general style.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2002 20:16:42 +0000

kali (3.1-3) unstable; urgency=low

  * Include <malloc.h> to stop segfaults on architectures where sizeof(int)
    != sizeof(void *) (thanks, Doug Porter; closes: #118766).
  * Remove Emacs local variables from this changelog.
  * Policy version 3.5.6.

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Nov 2001 18:24:25 +0000

kali (3.1-2) unstable; urgency=low

  * New maintainer (closes: #90936). Updated debian/copyright accordingly.
  * Updated to policy version 3.5.2:
    - FHS updates (closes: #91186).
    - Added build dependencies.
    - Support DEB_BUILD_OPTIONS.
  * Fixed build options so that it actually builds.
  * Recompiled with libforms0.89 (closes: #54232).
  * Converted to debhelper.
  * Removed wrong README.debian, which was mostly content-free anyway
    (closes: #52489).
  * Don't include the INSTALLATION file.
  * Installed data/*.kali as examples (in /usr/share/doc/kali/examples).
  * Removed add-log-mailing-address command from this changelog.
  * Removed debian/buildnotes - that's what the .diff.gz's for.
  * Updated paths in kali(1) man page.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Mar 2001 02:27:32 +0100

kali (3.1-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 25 Aug 1998 12:50:11 -0700

=== debian/control ===
Source: kali
Section: math
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), libforms-dev (>= 1.0.93sp1), x11proto-core-dev, libx11-dev
Homepage: http://www.geom.uiuc.edu/software/download/kali.html
Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/kali.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/kali.git/

Package: kali
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Draw tilings, frieze patterns, and so on
 You can use Kali to draw Escher-like tilings, infinite knots, frieze
 patterns, and other cool stuff. It lets you draw patterns in any of the 17
 planar (wallpaper) or 7 frieze symmetry groups. Drawings are done
 interactively with X, and PostScript output is supported.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := -D_FILE_OFFSET_BITS=64
export DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- FORMSINCL= FORMSLIB=-lforms \
			 COPTS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- BINDIR=$(CURDIR)/debian/kali/usr/bin

## kali 3.1%2Bdfsg

=== debian/changelog ===
kali (3.1+dfsg-1) unstable; urgency=medium

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.
  * Convert debian/copyright to copyright-format 1.0.
  * Exclude pre-built binaries from source package.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libforms-dev.

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Sep 2022 23:05:35 +0100

kali (3.1-19) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Build-Depends: Drop now-unnecessary versioned constraint on dpkg-dev.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Sep 2021 23:52:05 +0100

kali (3.1-18) unstable; urgency=medium

  [ Colin Watson ]
  * Move VCS to salsa.debian.org.

  [ Aurelien Jarno ]
  * Use HUGE_VAL rather than HUGE (closes: #891302).

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Feb 2018 16:45:13 +0000

=== debian/control ===
Source: kali
Section: math
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper-compat (= 13),
               libforms-dev,
               libx11-dev,
               x11proto-core-dev,
Homepage: http://www.geom.uiuc.edu/software/download/kali.html
Vcs-Git: https://salsa.debian.org/debian/kali.git
Vcs-Browser: https://salsa.debian.org/debian/kali
Rules-Requires-Root: no

Package: kali
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Draw tilings, frieze patterns, and so on
 You can use Kali to draw Escher-like tilings, infinite knots, frieze
 patterns, and other cool stuff. It lets you draw patterns in any of the 17
 planar (wallpaper) or 7 frieze symmetry groups. Drawings are done
 interactively with X, and PostScript output is supported.

## kali 3.1+dfsg

=== debian/changelog ===
kali (3.1+dfsg-4) unstable; urgency=medium

  * Apply X-Style: black.
  * Specify arguments in function declarations (closes: #1096891).

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Feb 2025 11:56:38 +0000

kali (3.1+dfsg-3) unstable; urgency=medium

  * Fix argument type in fl_show_question call (closes: #1075107).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 15:10:48 +0100

kali (3.1+dfsg-2) unstable; urgency=medium

  * Add many missing prototypes and #includes (closes: #1066562).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Mar 2024 13:34:36 +0000

=== debian/control ===
Source: kali
Section: math
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends:
 debhelper-compat (= 13),
 libforms-dev,
 libx11-dev,
 x11proto-core-dev,
Homepage: http://www.geom.uiuc.edu/software/download/kali.html
Vcs-Git: https://salsa.debian.org/debian/kali.git
Vcs-Browser: https://salsa.debian.org/debian/kali
Rules-Requires-Root: no
X-Style: black

Package: kali
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Draw tilings, frieze patterns, and so on
 You can use Kali to draw Escher-like tilings, infinite knots, frieze
 patterns, and other cool stuff. It lets you draw patterns in any of the 17
 planar (wallpaper) or 7 frieze symmetry groups. Drawings are done
 interactively with X, and PostScript output is supported.
